Merge branch 'master' of ssh://gnunet.org/gnunet
[oweals/gnunet.git] / src / gns / test_gns_delegated_lookup.sh
old mode 100644 (file)
new mode 100755 (executable)
index 92fdbe9..3826d3e
@@ -1,25 +1,39 @@
 #!/bin/bash
+trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
+which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
 
-TEST_IP="127.0.0.1"
-DELEGATED_PKEY=$(gnunet-ecc -p egos/delegatedego)
-
-gnunet-arm -s -c test_gns_lookup.conf
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+  LOCATION="gnunet-config"
+fi
+$LOCATION --version 1> /dev/null
+if test $? != 0
+then
+       echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 
+       exit 77
+fi
 
-#gnunet-identity -C testego -c test_gns_lookup.conf
+rm -rf /tmp/test-gnunet-gns-peer-1/
 
+TEST_IP="127.0.0.1"
+gnunet-arm -s -c test_gns_lookup.conf
+gnunet-identity -C delegatedego -c test_gns_lookup.conf
+DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep delegatedego | awk '{print $3}')
+gnunet-identity -C testego -c test_gns_lookup.conf
 gnunet-namestore -p -z testego -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
 gnunet-namestore -p -z delegatedego -a -n www -t A -V $TEST_IP -e never -c test_gns_lookup.conf
-RES_IP=$(gnunet-gns --raw -z testego -u www.b.gnu -t A -c test_gns_lookup.conf)
-
+RES_IP=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.b.gnu -t A -c test_gns_lookup.conf`
 gnunet-namestore -z testego -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
 gnunet-namestore -z delegatedego -d -n www -t A -V $TEST_IP  -e never -c test_gns_lookup.conf
-
 gnunet-arm -e -c test_gns_lookup.conf
 
+rm -rf /tmp/test-gnunet-gns-peer-1/
+
 if [ "$RES_IP" == "$TEST_IP" ]
 then
   exit 0
 else
+  echo "Failed to resolve to proper IP, got $RES_IP."
   exit 1
 fi
-